curl --request POST \
--url https://api.coreweave.com/v1alpha1/inference/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"gatewayIds": [
"<string>"
],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {},
"engineEnv": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"capacityClasses": [],
"concurrency": 123,
"claims": [
"<string>"
]
},
"traffic": {
"weight": 123
},
"id": "<string>",
"disabled": true
}
'import requests
url = "https://api.coreweave.com/v1alpha1/inference/deployments"
payload = {
"name": "<string>",
"gatewayIds": ["<string>"],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {},
"engineEnv": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"capacityClasses": [],
"concurrency": 123,
"claims": ["<string>"]
},
"traffic": { "weight": 123 },
"id": "<string>",
"disabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
gatewayIds: ['<string>'],
runtime: {engine: '<string>', version: '<string>', engineConfig: {}, engineEnv: {}},
resources: {instanceType: '<string>', gpuCount: 123},
model: {name: '<string>', bucket: '<string>', path: '<string>'},
autoscaling: {
min: 123,
max: 123,
priority: 123,
capacityClasses: [],
concurrency: 123,
claims: ['<string>']
},
traffic: {weight: 123},
id: '<string>',
disabled: true
})
};
fetch('https://api.coreweave.com/v1alpha1/inference/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coreweave.com/v1alpha1/inference/deployments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'gatewayIds' => [
'<string>'
],
'runtime' => [
'engine' => '<string>',
'version' => '<string>',
'engineConfig' => [
],
'engineEnv' => [
]
],
'resources' => [
'instanceType' => '<string>',
'gpuCount' => 123
],
'model' => [
'name' => '<string>',
'bucket' => '<string>',
'path' => '<string>'
],
'autoscaling' => [
'min' => 123,
'max' => 123,
'priority' => 123,
'capacityClasses' => [
],
'concurrency' => 123,
'claims' => [
'<string>'
]
],
'traffic' => [
'weight' => 123
],
'id' => '<string>',
'disabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coreweave.com/v1alpha1/inference/deployments"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"gatewayIds\": [\n \"<string>\"\n ],\n \"runtime\": {\n \"engine\": \"<string>\",\n \"version\": \"<string>\",\n \"engineConfig\": {},\n \"engineEnv\": {}\n },\n \"resources\": {\n \"instanceType\": \"<string>\",\n \"gpuCount\": 123\n },\n \"model\": {\n \"name\": \"<string>\",\n \"bucket\": \"<string>\",\n \"path\": \"<string>\"\n },\n \"autoscaling\": {\n \"min\": 123,\n \"max\": 123,\n \"priority\": 123,\n \"capacityClasses\": [],\n \"concurrency\": 123,\n \"claims\": [\n \"<string>\"\n ]\n },\n \"traffic\": {\n \"weight\": 123\n },\n \"id\": \"<string>\",\n \"disabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.coreweave.com/v1alpha1/inference/deployments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"gatewayIds\": [\n \"<string>\"\n ],\n \"runtime\": {\n \"engine\": \"<string>\",\n \"version\": \"<string>\",\n \"engineConfig\": {},\n \"engineEnv\": {}\n },\n \"resources\": {\n \"instanceType\": \"<string>\",\n \"gpuCount\": 123\n },\n \"model\": {\n \"name\": \"<string>\",\n \"bucket\": \"<string>\",\n \"path\": \"<string>\"\n },\n \"autoscaling\": {\n \"min\": 123,\n \"max\": 123,\n \"priority\": 123,\n \"capacityClasses\": [],\n \"concurrency\": 123,\n \"claims\": [\n \"<string>\"\n ]\n },\n \"traffic\": {\n \"weight\": 123\n },\n \"id\": \"<string>\",\n \"disabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coreweave.com/v1alpha1/inference/deployments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"gatewayIds\": [\n \"<string>\"\n ],\n \"runtime\": {\n \"engine\": \"<string>\",\n \"version\": \"<string>\",\n \"engineConfig\": {},\n \"engineEnv\": {}\n },\n \"resources\": {\n \"instanceType\": \"<string>\",\n \"gpuCount\": 123\n },\n \"model\": {\n \"name\": \"<string>\",\n \"bucket\": \"<string>\",\n \"path\": \"<string>\"\n },\n \"autoscaling\": {\n \"min\": 123,\n \"max\": 123,\n \"priority\": 123,\n \"capacityClasses\": [],\n \"concurrency\": 123,\n \"claims\": [\n \"<string>\"\n ]\n },\n \"traffic\": {\n \"weight\": 123\n },\n \"id\": \"<string>\",\n \"disabled\": true\n}"
response = http.request(request)
puts response.read_body{
"deployment": {
"spec": {
"id": "<string>",
"name": "<string>",
"gatewayIds": [
"<string>"
],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {},
"engineEnv": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"capacityClasses": [
"CAPACITY_CLASS_RESERVED"
],
"concurrency": 123,
"claims": [
"<string>"
]
},
"traffic": {
"weight": 123
},
"organizationId": "<string>",
"disabled": true,
"hotLoad": {
"bucket": "<string>",
"transitionMode": "TRANSITION_MODE_ASYNC",
"pathPrefix": "<string>"
},
"pd": {
"prefillResources": {
"instanceType": "<string>",
"gpuCount": 123
},
"prefillAutoscaling": {
"min": 123,
"max": 123,
"capacityClasses": [
"CAPACITY_CLASS_RESERVED"
],
"concurrency": 123,
"claims": [
"<string>"
]
}
}
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "STATUS_UNSPECIFIED",
"conditions": [
{
"type": "<string>",
"status": "STATUS_UNSPECIFIED",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>"
}
],
"specRevision": "<string>"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Create deployment
Create a new CoreWeave inference model deployment.
curl --request POST \
--url https://api.coreweave.com/v1alpha1/inference/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"gatewayIds": [
"<string>"
],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {},
"engineEnv": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"capacityClasses": [],
"concurrency": 123,
"claims": [
"<string>"
]
},
"traffic": {
"weight": 123
},
"id": "<string>",
"disabled": true
}
'import requests
url = "https://api.coreweave.com/v1alpha1/inference/deployments"
payload = {
"name": "<string>",
"gatewayIds": ["<string>"],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {},
"engineEnv": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"capacityClasses": [],
"concurrency": 123,
"claims": ["<string>"]
},
"traffic": { "weight": 123 },
"id": "<string>",
"disabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
gatewayIds: ['<string>'],
runtime: {engine: '<string>', version: '<string>', engineConfig: {}, engineEnv: {}},
resources: {instanceType: '<string>', gpuCount: 123},
model: {name: '<string>', bucket: '<string>', path: '<string>'},
autoscaling: {
min: 123,
max: 123,
priority: 123,
capacityClasses: [],
concurrency: 123,
claims: ['<string>']
},
traffic: {weight: 123},
id: '<string>',
disabled: true
})
};
fetch('https://api.coreweave.com/v1alpha1/inference/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coreweave.com/v1alpha1/inference/deployments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'gatewayIds' => [
'<string>'
],
'runtime' => [
'engine' => '<string>',
'version' => '<string>',
'engineConfig' => [
],
'engineEnv' => [
]
],
'resources' => [
'instanceType' => '<string>',
'gpuCount' => 123
],
'model' => [
'name' => '<string>',
'bucket' => '<string>',
'path' => '<string>'
],
'autoscaling' => [
'min' => 123,
'max' => 123,
'priority' => 123,
'capacityClasses' => [
],
'concurrency' => 123,
'claims' => [
'<string>'
]
],
'traffic' => [
'weight' => 123
],
'id' => '<string>',
'disabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coreweave.com/v1alpha1/inference/deployments"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"gatewayIds\": [\n \"<string>\"\n ],\n \"runtime\": {\n \"engine\": \"<string>\",\n \"version\": \"<string>\",\n \"engineConfig\": {},\n \"engineEnv\": {}\n },\n \"resources\": {\n \"instanceType\": \"<string>\",\n \"gpuCount\": 123\n },\n \"model\": {\n \"name\": \"<string>\",\n \"bucket\": \"<string>\",\n \"path\": \"<string>\"\n },\n \"autoscaling\": {\n \"min\": 123,\n \"max\": 123,\n \"priority\": 123,\n \"capacityClasses\": [],\n \"concurrency\": 123,\n \"claims\": [\n \"<string>\"\n ]\n },\n \"traffic\": {\n \"weight\": 123\n },\n \"id\": \"<string>\",\n \"disabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.coreweave.com/v1alpha1/inference/deployments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"gatewayIds\": [\n \"<string>\"\n ],\n \"runtime\": {\n \"engine\": \"<string>\",\n \"version\": \"<string>\",\n \"engineConfig\": {},\n \"engineEnv\": {}\n },\n \"resources\": {\n \"instanceType\": \"<string>\",\n \"gpuCount\": 123\n },\n \"model\": {\n \"name\": \"<string>\",\n \"bucket\": \"<string>\",\n \"path\": \"<string>\"\n },\n \"autoscaling\": {\n \"min\": 123,\n \"max\": 123,\n \"priority\": 123,\n \"capacityClasses\": [],\n \"concurrency\": 123,\n \"claims\": [\n \"<string>\"\n ]\n },\n \"traffic\": {\n \"weight\": 123\n },\n \"id\": \"<string>\",\n \"disabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coreweave.com/v1alpha1/inference/deployments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"gatewayIds\": [\n \"<string>\"\n ],\n \"runtime\": {\n \"engine\": \"<string>\",\n \"version\": \"<string>\",\n \"engineConfig\": {},\n \"engineEnv\": {}\n },\n \"resources\": {\n \"instanceType\": \"<string>\",\n \"gpuCount\": 123\n },\n \"model\": {\n \"name\": \"<string>\",\n \"bucket\": \"<string>\",\n \"path\": \"<string>\"\n },\n \"autoscaling\": {\n \"min\": 123,\n \"max\": 123,\n \"priority\": 123,\n \"capacityClasses\": [],\n \"concurrency\": 123,\n \"claims\": [\n \"<string>\"\n ]\n },\n \"traffic\": {\n \"weight\": 123\n },\n \"id\": \"<string>\",\n \"disabled\": true\n}"
response = http.request(request)
puts response.read_body{
"deployment": {
"spec": {
"id": "<string>",
"name": "<string>",
"gatewayIds": [
"<string>"
],
"runtime": {
"engine": "<string>",
"version": "<string>",
"engineConfig": {},
"engineEnv": {}
},
"resources": {
"instanceType": "<string>",
"gpuCount": 123
},
"model": {
"name": "<string>",
"bucket": "<string>",
"path": "<string>"
},
"autoscaling": {
"min": 123,
"max": 123,
"priority": 123,
"capacityClasses": [
"CAPACITY_CLASS_RESERVED"
],
"concurrency": 123,
"claims": [
"<string>"
]
},
"traffic": {
"weight": 123
},
"organizationId": "<string>",
"disabled": true,
"hotLoad": {
"bucket": "<string>",
"transitionMode": "TRANSITION_MODE_ASYNC",
"pathPrefix": "<string>"
},
"pd": {
"prefillResources": {
"instanceType": "<string>",
"gpuCount": 123
},
"prefillAutoscaling": {
"min": 123,
"max": 123,
"capacityClasses": [
"CAPACITY_CLASS_RESERVED"
],
"concurrency": 123,
"claims": [
"<string>"
]
}
}
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "STATUS_UNSPECIFIED",
"conditions": [
{
"type": "<string>",
"status": "STATUS_UNSPECIFIED",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>"
}
],
"specRevision": "<string>"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}- The API server is
https://api.coreweave.com. - Replace
{API_ACCESS_TOKEN}with your CoreWeave API access token. - For required permissions, see IAM Access Policies.
name, gatewayIds, runtime, resources,
model, autoscaling, and traffic. The available
runtime.engine and runtime.version values are returned
by GET /v1alpha1/inference/deployments/parameters.
curl -X POST https://api.coreweave.com/v1alpha1/inference/deployments \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}" \
-d @data.json
承認
CoreWeave API access token sent as a bearer token.
ボディ
Request for CreateDeployment
The name of the deployment
The gateways to associate the deployment with
Runtime selection and configuration
Show child attributes
Show child attributes
Resource configuration for the deployment
Show child attributes
Show child attributes
The model configuration
Show child attributes
Show child attributes
The autoscaling configuration
Show child attributes
Show child attributes
The traffic configuration for the deployment
Show child attributes
Show child attributes
The unique identifier of the deployment, UUID format
Disable the deployment
The hot-load configuration for the deployment. Set it to enable checkpoint hot-loading; it is immutable after creation.
Show child attributes
Show child attributes
Prefill/Decode disaggregation configuration. Top-level resources and autoscaling configure the decode pool; this field configures the prefill pool. Only supported by dynamo-vllm when the pdDisaggEnabled feature flag is enabled.
Show child attributes
Show child attributes
レスポンス
OK
Response for CreateDeployment
The deployment that was created
Show child attributes
Show child attributes
このページは役に立ちましたか?